package yi.iu.processor.texture.reg;

import yi.iu.region.*;

public class ChromaticGaborTextureRegion extends GaborTextureRegion{
  /**
   * m_chromInfo is used to store chromatic histogram (very coarse color hist)
   */
  int[] m_chromaticHist;

  /**
   * m_chromInfo is used to store color histogram
   */
  int[] m_colorHist;

  /**
   * mean color of the region
   */
  int m_meanColor;

  /**
   * This constructor is for castor only.  Don't call it directly
   */
  public ChromaticGaborTextureRegion() {
  }

  public ChromaticGaborTextureRegion(double[] gabor, Region rg,
    int[] chrom_histogram, int[] color_histogram, int mean_color) {
    super(gabor, rg);
    m_chromaticHist = chrom_histogram;
    m_colorHist = color_histogram;
    m_meanColor = mean_color;

  }

  public void setChromaticHist(int[] chrom_histogram) {
    m_chromaticHist = chrom_histogram;
  }

  public int[] getChromaticHist() {return m_chromaticHist;}

  public void setColorHist(int[] color_histogram) {
    m_colorHist = color_histogram;
  }

  public int[] getColorHist() {return m_colorHist;}

  public void setMeanColor(int mean_color) {
    m_meanColor = mean_color;
  }

  public int getMeanColor() {return m_meanColor;}
}